<?php

namespace Comitium5\DesignerBundle\Factory\Layout;

use Comitium5\DesignerBundle\Entity\LayoutBreakpoint;
use Comitium5\DesignerBundle\Factory\AbstractFactory;

/**
 * Class LayoutBreakpointFactory
 *
 * @author Carles Gómez <carles@bab-soft.com>
 * @package Comitium5\DesignerBundle\Factory\Layout
 */
class LayoutBreakpointFactory extends AbstractFactory
{
    /**
     * @return LayoutBreakpoint
     */
    public function create()
    {
        $classNamespace = $this->getEntityNamespace();

        $layoutBreakpoint = new $classNamespace();

        return $layoutBreakpoint;
    }
}
